Page MenuHomePhabricator

Switch quibble-based CI jobs from node6 to node10
Closed, ResolvedPublic

Description

I think we'll need to do the following:

I think this'll have to happen pretty rapidly to avoid too much bitrot from the selenium tests, as I don't see a way of proceeding without switching selenium off first. Anyone want to volunteer to pair on this?

Event Timeline

Jdforrester-WMF triaged this task as Medium priority.May 2 2019, 10:53 PM
Jdforrester-WMF created this task.

MobileFrontend hard-coding checking 6.11.0

I'm sorry I cannot help more. My schedule is booked but I think we could either temporarily disable this check or simply upgrade the version of Node.js expected (we would be delighted to have something more recent!). I think either change would be quick for me to make. Let me know.

MobileFrontend hard-coding checking 6.11.0

I'm sorry I cannot help more. My schedule is booked but I think we could either temporarily disable this check or simply upgrade the version of Node.js expected (we would be delighted to have something more recent!). I think either change would be quick for me to make. Let me know.

No worries, fixing MF for that is easy; it's just an example of no-doubt a bunch of errors we'll get as soon as we do this. Plausibly, it makes most sense to do this over a weekend (to disrupt working developers' lives the least), but finding a CI root who wants to give up their weekend for this may be challenging. :-)

Jdforrester-WMF updated the task description. (Show Details)

Change 508692 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] [DNM] selenium: Temporarily drop all tests so we can migrate to node 10 in CI

https://gerrit.wikimedia.org/r/508692

Mentioned in SAL (#wikimedia-releng) [2019-06-03T14:38:18Z] <James_F> hashar and I are temporarily disabling running selenium tests in CI. See T211784 T222406 for more details.

Change 514021 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: switch quibble-stretch to node10/npm6

https://gerrit.wikimedia.org/r/514021

Change 514021 merged by jenkins-bot:
[integration/config@master] docker: switch quibble-stretch to node10/npm6

https://gerrit.wikimedia.org/r/514021

Change 514026 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: nodejs10 does provide /usr/bin/node

https://gerrit.wikimedia.org/r/514026

Change 514026 merged by Hashar:
[integration/config@master] docker: nodejs10 does provide /usr/bin/node

https://gerrit.wikimedia.org/r/514026

Change 514034 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Switch most Quibble jobs to NodeJS 10

https://gerrit.wikimedia.org/r/514034

Change 508692 merged by jenkins-bot:
[mediawiki/core@master] selenium: Temporarily drop all tests and wdio-mocha-framework

https://gerrit.wikimedia.org/r/508692

Change 514034 merged by jenkins-bot:
[integration/config@master] Switch most Quibble jobs to NodeJS 10

https://gerrit.wikimedia.org/r/514034

Mentioned in SAL (#wikimedia-releng) [2019-06-03T17:40:56Z] <James_F> Reloading Zuul to switch most Quibble jobs to node 10 T222406

Change 514085 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] selenium: Re-add all tests and wdio-mocha-framework

https://gerrit.wikimedia.org/r/514085

Mentioned in SAL (#wikimedia-releng) [2019-06-03T18:33:59Z] <hashar> hswitch most Quibble jobs to node 10 T222406 - ttps://gerrit.wikimedia.org/r/#/c/integration/config/+/514034/ T222406

Mentioned in SAL (#wikimedia-releng) [2019-06-03T18:33:59Z] <hashar> hswitch most Quibble jobs to node 10 T222406 - ttps://gerrit.wikimedia.org/r/#/c/integration/config/+/514034/ T222406

Mentioned in SAL (#wikimedia-operations) [2019-06-03T18:35:36Z] <hashar> switch most Quibble jobs to node 10 T222406 - ttps://gerrit.wikimedia.org/r/#/c/integration/config/+/514034/ T222406

Mentioned in SAL (#wikimedia-operations) [2019-06-03T18:35:36Z] <hashar> switch most Quibble jobs to node 10 T222406 - ttps://gerrit.wikimedia.org/r/#/c/integration/config/+/514034/ T222406

Things we apparently don't need to do:

WebdriverIo5 things:

Change 514085 merged by jenkins-bot:
[mediawiki/core@master] selenium: Re-add all tests and wdio-mocha-framework, now v0.6.4

https://gerrit.wikimedia.org/r/514085

Jdforrester-WMF closed this task as Resolved.Jun 3 2019, 9:30 PM
Jdforrester-WMF updated the task description. (Show Details)

Change 514255 had a related patch set uploaded (by Krinkle; owner: Jforrester):
[mediawiki/core@wmf/1.34.0-wmf.7] selenium: Temporarily drop all tests and wdio-mocha-framework

https://gerrit.wikimedia.org/r/514255

Change 514257 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/core@wmf/1.34.0-wmf.7] build: upgrade wdio-mocha-framework for NodeJS 10

https://gerrit.wikimedia.org/r/514257

Change 514255 merged by jenkins-bot:
[mediawiki/core@wmf/1.34.0-wmf.7] selenium: Temporarily drop all tests and wdio-mocha-framework

https://gerrit.wikimedia.org/r/514255

hashar reopened this task as Open.Jun 4 2019, 12:23 PM

There are bunch of other quibble based jobs that we still have to update! Eg the one to generate mediawiki/core coverage report T224983

Change 514257 abandoned by Hashar:
build: upgrade wdio-mocha-framework for NodeJS 10

https://gerrit.wikimedia.org/r/514257

Change 514331 had a related patch set uploaded (by Hashar; owner: Jforrester):
[mediawiki/core@wmf/1.34.0-wmf.7] selenium: Re-add all tests and wdio-mocha-framework, now v0.6.4

https://gerrit.wikimedia.org/r/514331

Change 514341 had a related patch set uploaded (by Reedy; owner: Jforrester):
[mediawiki/core@REL1_33] selenium: wdio-mocha-framework now v0.6.4

https://gerrit.wikimedia.org/r/514341

Change 514349 had a related patch set uploaded (by Reedy; owner: Jforrester):
[mediawiki/core@REL1_32] selenium: wdio-mocha-framework now v0.6.4

https://gerrit.wikimedia.org/r/514349

Change 514331 merged by jenkins-bot:
[mediawiki/core@wmf/1.34.0-wmf.7] selenium: Re-add all tests and wdio-mocha-framework, now v0.6.4

https://gerrit.wikimedia.org/r/514331

Change 514365 had a related patch set uploaded (by Reedy; owner: Jforrester):
[mediawiki/core@REL1_31] selenium: wdio-mocha-framework now v0.6.4

https://gerrit.wikimedia.org/r/514365

Remaining matches to quibble-stretch(-bundle:0.0.31-[^3]|-hhvm:0.0.31-[^2]|-php70:0.0.31-[^4]|-php71:0.0.31-[^2]|-php72:0.0.31-[^4]|-php73:0.0.31-[^3]|:0.0.31-[^2]) are

Change 514349 merged by jenkins-bot:
[mediawiki/core@REL1_32] selenium: wdio-mocha-framework now v0.6.4

https://gerrit.wikimedia.org/r/514349

Change 514341 merged by jenkins-bot:
[mediawiki/core@REL1_33] selenium: wdio-mocha-framework now v0.6.4

https://gerrit.wikimedia.org/r/514341

Change 514365 merged by jenkins-bot:
[mediawiki/core@REL1_31] selenium: wdio-mocha-framework now v0.6.4

https://gerrit.wikimedia.org/r/514365

Change 514987 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/core@fundraising/REL1_31] Update packages for node 10 / npm 6

https://gerrit.wikimedia.org/r/514987

Jdforrester-WMF closed this task as Resolved.Jun 7 2019, 11:55 PM
Jdforrester-WMF removed a project: Patch-For-Review.

Only outstanding patch is just waiting for FR to merge.

Change 514987 abandoned by Ejegg:
Update packages for node 10 / npm 6

Reason:
Nothing left to merge after rebase, looks like this was covered in the security merge from 1_31

https://gerrit.wikimedia.org/r/514987